import type { Context } from "../../context";
/**
 * Append type declarations for svelte variables.
 * - Append TypeScript code like
 *   `declare let $foo: Parameters<Parameters<(typeof foo)["subscribe"]>[0]>[0];`
 *   to define the type information for like `$foo` variable.
 * - Append TypeScript code like `let foo = bar;` to define the type information for like `$: foo = bar` variable.
 */
export declare function appendDeclareSvelteVarsTypes(ctx: Context): void;
